Subject: Re: warnings from drivers/tty/ehv_bytechan.c

From: Timur Tabi <[email-masked]>
Date: Fri, 24 Feb 2012 16:00:12 -0600

[email-masked] wrote:
> Sure, something like that is fine, but if the code really can't be a
> module, why not just fix the Kconfig file to enforce this properly
> instead?

That's the simplest approach, for use.  The TTY portion of the driver can
be used as a module.  Is there any real value in loading a TTY driver as a
module?  In this case, the console support for byte channels would not be
available.

-- 
Timur Tabi
Linux kernel developer at Freescale